osl::PtypeTraits< PTYPE_EMPTY > Struct Reference

`#include <ptypeTraits.h>`

## Static Public Member Functions

static const char * | name ()
static const char * | csaName ()

## Static Public Attributes

static const bool | isBasic =false
static const bool | canPromote =false
static const bool | betterToPromote =false
| 打ち歩詰を除いて考えると promoteは常に得
static const int | moveMask =0

## Detailed Description

Definition at line 15 of file ptypeTraits.h.

## Member Function Documentation

## csaName()

const char * osl::PtypeTraits< PTYPE_EMPTY >::csaName | ( |  | ) |

inline static

Definition at line 22 of file ptypeTraits.h.

## name()

const char * osl::PtypeTraits< PTYPE_EMPTY >::name | ( |  | ) |

inline static

Definition at line 21 of file ptypeTraits.h.

## Member Data Documentation

## betterToPromote

const bool osl::PtypeTraits< PTYPE_EMPTY >::betterToPromote =false

static

打ち歩詰を除いて考えると promoteは常に得

Definition at line 20 of file ptypeTraits.h.

## canPromote

const bool osl::PtypeTraits< PTYPE_EMPTY >::canPromote =false

static

Definition at line 18 of file ptypeTraits.h.

## isBasic

const bool osl::PtypeTraits< PTYPE_EMPTY >::isBasic =false

static

Definition at line 17 of file ptypeTraits.h.

## moveMask

const int osl::PtypeTraits< PTYPE_EMPTY >::moveMask =0

static

Definition at line 23 of file ptypeTraits.h.

The documentation for this struct was generated from the following file:

- ptypeTraits.h